Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc
Interface GCPastContent

All Superinterfaces:
  PastContent, java.io.Serializable

All Known Subinterfaces:
  RawGCPastContent

All Known Implementing Classes:
  Aggregate, DebugContent, JavaSerializedGCPastContent, RawAggregate

    public interface GCPastContent

extends PastContent

Version:
  $Id: GCPastContent.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove, Andreas Haeberlen

Method Summary
`GCPastContentHandle` | `getHandle(GCPast local, long expiration)` Produces a handle for this content object.
`GCPastMetadata` | `getMetadata(long expiration)` Returns the metadata which should be stored with this object.
`long` | `getVersion()` Returns the version number associated with this PastContent object - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.

Methods inherited from interface rice.p2p.past.PastContent
`checkInsert, getHandle, getId, isMutable`

Method Detail

### getVersion

    long getVersion()

  Returns the version number associated with this PastContent object - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.

  Returns:
    The version number of this object

### getHandle

    GCPastContentHandle getHandle(GCPast local,
                                  long expiration)

  Produces a handle for this content object. The handle is retrieved and returned to the client as a result of the Past.lookupHandles() method.

  Parameters:
    `The` - local GCPast service which the content is on.
  Returns:
    the handle

### getMetadata

    GCPastMetadata getMetadata(long expiration)

  Returns the metadata which should be stored with this object. Allows applications to add arbitrary items into the object's metadata.

  Parameters:
    `The` - local GCPast service which the content is on.
  Returns:
    the handle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.